Package org.springframework.aop.support

# Class DynamicMethodMatcherPointcut

java.lang.Object
org.springframework.aop.support.DynamicMethodMatcher
org.springframework.aop.support.DynamicMethodMatcherPointcut

All Implemented Interfaces:
  `MethodMatcher`, `Pointcut`

public abstract class DynamicMethodMatcherPointcut extends DynamicMethodMatcher implements Pointcut
Convenient superclass when we want to force subclasses to implement MethodMatcher interface, but subclasses will want to be pointcuts. The getClassFilter() method can be overridden to customize ClassFilter behaviour as well.

Author:
  Rod Johnson

## Field Summary

### Fields inherited from interface org.springframework.aop.MethodMatcher

`TRUE`

### Fields inherited from interface org.springframework.aop.Pointcut

`TRUE`

## Constructor Summary

Constructors
Constructor
Description
`DynamicMethodMatcherPointcut()`

## Method Summary

Modifier and Type
Method
Description
`ClassFilter`
`getClassFilter()`
Return the ClassFilter for this pointcut.
`final MethodMatcher`
`getMethodMatcher()`
Return the MethodMatcher for this pointcut.

### Methods inherited from class org.springframework.aop.support.DynamicMethodMatcher

`isRuntime, matches`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.springframework.aop.MethodMatcher

`matches`

## Constructor Details

### DynamicMethodMatcherPointcut

public DynamicMethodMatcherPointcut()

## Method Details

### getClassFilter

public ClassFilter getClassFilter()
Description copied from interface: `Pointcut`
Return the ClassFilter for this pointcut.

Specified by:
  `getClassFilter` in interface `Pointcut`
Returns:
  the ClassFilter (never `null`)

### getMethodMatcher

public final MethodMatcher getMethodMatcher()
Description copied from interface: `Pointcut`
Return the MethodMatcher for this pointcut.

Specified by:
  `getMethodMatcher` in interface `Pointcut`
Returns:
  the MethodMatcher (never `null`)